## org.apache.lucene.index
Class FilterIndexReader.FilterTermEnum

    java.lang.Object
      org.apache.lucene.index.TermEnum
          org.apache.lucene.index.FilterIndexReader.FilterTermEnum

Enclosing class:
  FilterIndexReader

    public static class FilterIndexReader.FilterTermEnum

extends TermEnum

Base class for filtering `TermEnum` implementations.

Field Summary
`protected TermEnum` `in`

Constructor Summary
`FilterIndexReader.FilterTermEnum(TermEnum in)`

Method Summary
`void` `close()` Closes the enumeration to further activity, freeing resources.
`int` `docFreq()` Returns the docFreq of the current Term in the enumeration.
`boolean` `next()` Increments the enumeration to the next element.
`Term` `term()` Returns the current Term in the enumeration.

Methods inherited from class org.apache.lucene.index.TermEnum
`skipTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### in

    protected TermEnum in

Constructor Detail

### FilterIndexReader.FilterTermEnum

    public FilterIndexReader.FilterTermEnum(TermEnum in)

Method Detail

### next

    public boolean next()
                 throws java.io.IOException

  Description copied from class: `TermEnum`
  Increments the enumeration to the next element. True if one exists.

  Specified by:
    `next` in class `TermEnum`
  Throws:
    `java.io.IOException`

### term

    public Term term()

  Description copied from class: `TermEnum`
  Returns the current Term in the enumeration.

  Specified by:
    `term` in class `TermEnum`

### docFreq

    public int docFreq()

  Description copied from class: `TermEnum`
  Returns the docFreq of the current Term in the enumeration.

  Specified by:
    `docFreq` in class `TermEnum`

### close

    public void close()
               throws java.io.IOException

  Description copied from class: `TermEnum`
  Closes the enumeration to further activity, freeing resources.

  Specified by:
    `close` in class `TermEnum`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.